Skip to main content
GET
/
v1
/
payments
/
links
List payment links
curl --request GET \
  --url https://api.sandbox.busha.so/v1/payments/links \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "message for success",
  "pagination": {
    "current_entries_size": 20,
    "next_cursor": "MjAyNC0xMC0xNVQxMTowNTo1My45NTkxNDErMDE6MDA=",
    "previous_cursor": "MjAyNC0xMC0xNVQxMDowNTo1My45NTIxQjE3MDE6MDA="
  },
  "data": [
    {
      "id": "bus_123456789",
      "profile_id": "bus_123456789",
      "fixed": false,
      "one_time": false,
      "link": "https://pay.busha.io/charges/123456789",
      "name": "Payment Link",
      "title": "<string>",
      "description": "<string>",
      "target_currency": "BTC",
      "status": "pending",
      "created_at": "2023-10-15T12:15:30Z",
      "updated_at": "2023-10-15T12:15:30Z",
      "quote_amount": "100",
      "quote_currency": "BTC",
      "target_amount": "100",
      "meta": {
        "images": [
          "<string>"
        ],
        "allow_customer_amount": true,
        "amount_limit": {
          "min_amount": "100",
          "max_amount": "100"
        },
        "allow_quantity_selection": true,
        "require_extra_info": [
          {
            "field_name": "<string>",
            "required": true
          }
        ]
      },
      "pub_key": "<string>",
      "expires_at": "2023-10-15T12:15:30Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Query Parameters

sort
enum<string>

The order to sort the results

Available options:
asc,
desc
Example:

"asc"

limit
integer

The number of items to return

Example:

10

cursor
string<string>

The cursor

q
string

Search query for payment links

status
enum<string>[]
Available options:
pending,
active,
expired,
deleted

Response

Successful response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

pagination
object
required
data
object[]
required